Subject: Re: bug#32676: [PATCH] Add option to highlight the 'next-error' error message

From: Juri Linkov <[email-masked]>
Date: Thu, 05 Nov 2020 22:20:04 +0200

> I tried to add the attribute ':extend t' to the next-error-message face,
> but it has no effect.  Maybe because currently highlighting is not added
> to the trailing newline.  Indeed, with this patch it works:
>
> diff --git a/lisp/simple.el b/lisp/simple.el
>  (defface next-error-message
> -  '((t (:inherit highlight)))
> +  '((t (:inherit highlight :extend t)))

BTW, I noticed that org-mode has a special variable that
puts the face over the trailing newlines for headings.
I propose to mention in the docstring that it's possibly
to extend the face:

diff --git a/lisp/org/org.el b/lisp/org/org.el
index 1ab8ab6888..c1b8ec9d24 100644
--- a/lisp/org/org.el
+++ b/lisp/org/org.el
@@ -3685,7 +3685,8 @@ org-fontify-emphasized-text
 (defcustom org-fontify-whole-heading-line nil
   "Non-nil means fontify the whole line for headings.
 This is useful when setting a background color for the
-org-level-* faces."
+org-level-* faces and extending it to the edge of the window
+by using the face attribute `:extend'."
   :group 'org-appearance
   :type 'boolean)